{% extends "blog/layout.html.twig"%}{# on est pas en relatif, on part d'app views. A partir du moment ou on extends un fichier on ne peut plus écrire d'html en dehors de block#}

{% block body_layout %}
    {% for message in app.session.flashbag.get('success') %}
        <p class="alert alert-success">{{ message }}</p>
    {% endfor %}
    <h1>Catalogue</h1>


    {% for key,produit in produits %}<!-- boucle FOR au format twig exemple sans passer les clés du tableau : for article in articles -->

        <article>
            <h1>{{key}} - {{produit.titre}} #{{produit.id}}</h1>{# ici : 2 écritures possible en twig pour un tableau; de préférence , utilisez la syntaxe objet {{article.titre}} qui fonctionne aussi pour les tableaux, tandis que la syntaxe tableau {{article['id']}} n'est valable seulement pour les tableaux#}
            {% if produit.image is not null %}{# équivalent à : if article.image = si l'objet image de article n'est pas null #}
                <img src="{{produit.image.url}}" alt="{{produit.image.alt}}" class="pull-left"/>
            {% endif %}
            <p>
                {{produit.contenu|title|raw}}{# le filtre |title met les 1ere lettre de chaque mot en majuscule ; avec le filtre twig |Raw (à afficher en dernier) le texte s'affiche brut sans utiliser htmlspecialchar par défaut#}
            </p>
            <footer>

            </footer>
        </article>
    {% else %}
        <p>AUCUN PRODUIT</p>
    {% endfor %}

{% endblock %}